# TIFFSIZE

Section: Misc. Reference Manual Pages (3T)
Updated: October 15, 1995
Index
Return to Main Contents

## NAME

TIFFScanlineSize, TIFFRasterScanlineSize, - return the size of various items associated with an open TIFF file

## SYNOPSIS

    #include <tiffio.h>
    tsize_t TIFFRasterScanlineSize(TIFF* tif)
    tsize_t TIFFScanlineSize(TIFF* tif)

## DESCRIPTION

TIFFScanlineSize returns the size in bytes of a row of data as it would be returned in a call to TIFFReadScanline, or as it would be expected in a call to TIFFWriteScanline.

TIFFRasterScanlineSize returns the size in bytes of a complete decoded and packed raster scanline. Note that this value may be different from the value returned by TIFFScanlineSize if data is stored as separate planes.

## DIAGNOSTICS

None.

## SEE ALSO

libtiff(3T), TIFFOpen(3T), TIFFReadScanline(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
DIAGNOSTICS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:39 GMT, November 23, 1999